# Method: projects.locations.entryGroups.entries.create

- [HTTP request](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.request_body)
- [Response body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#try-it)

> [!WARNING]
> Data Catalog is deprecated. Please use Dataplex Universal Catalog instead.

Creates an entry.

You can create entries only with 'FILESET', 'CLUSTER', 'DATA_STREAM', or custom types. Data Catalog automatically creates entries with other types during metadata ingestion from integrated systems.

You must enable the Data Catalog API in the project identified by the `parent` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).

An entry group can have a maximum of 100,000 entries.

### HTTP request

`POST https://datacatalog.googleapis.com/v1/{parent}/entries`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the entry group this entry belongs to. Note: The entry itself and its child resources might not be stored in the location specified in its name. It takes the form `projects/{project}/locations/{location}/entryGroups/{entrygroup}`. |

### Query parameters

| Parameters ||
|---|---|
| `entryId` | `string` Required. The ID of the entry to create. The ID must contain only letters (a-z, A-Z), numbers (0-9), and underscores (_). The maximum size is 64 bytes when encoded in UTF-8. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).